## TIP (non inheritable)

Text to be shown when the mouse lies over the element.

### Value

Text.

### Additional Tip Attributes (since 3.0)

These attributes affect the TIP display.

TIPBALLOON [Windows Only]: The tip window will have the appearance of a cartoon "balloon" with rounded corners and a stem pointing to the item. Default: NO.

TIPBALLOONTITLE [Windows Only]: When using the balloon format, the tip can also has a title in a separate area.

TIPBALLOONTITLEICON [Windows Only]: When using the balloon format, the tip can also has a pre-defined icon in the title area. Values can be:

"0" - No icon (default)
"1" - Info icon
"2" - Warning icon
"3" - Error Icon

TIPBGCOLOR [Windows and Motif Only]: The tip background color. Default: "255 255 225" (Light Yellow)

TIPDELAY [Windows and Motif Only]: Time the tip will remain visible. Default: "5000". In Windows the maximum value is 32767 milliseconds.

TIPFGCOLOR [Windows and Motif Only]: The tip text color. Default: "0 0 0" (Black)

TIPFONT [Windows and Motif Only]: The font for the tip text. If not defined the font used for the text is the same as the FONT attribute for the element. If the value is SYSTEM then, no font is selected and the default system font for the tip will be used.

TIPICON [GTK only]: name of an image to be displayed in the TIP. See IupImage. (GTK 2.12)

TIPMARKUP [GTK only]: allows the tip string to contains Pango markup commands. Can be "YES" or "NO". Default: "NO". Must be set before setting the TIP attribute. (GTK 2.12)

TIPRECT (non inheritable): Specifies a rectangle inside the element where the tip will be activated. Format: "%d %d %d %d"="x1 y1 x2 y2". Default: all the element area. (GTK 2.12)

TIPVISIBLE: Shows or hides the tip under the mouse cursor. Use values "YES" or "NO". Returns the current visible state. (GTK 2.12) (since 3.5)

### Additional Tip Callbacks (since 3.5)

TIPS_CB: Action before a tip is displayed.

    int funcion(Ihandle* ih, int x, int y); [in C]
    elem:action(x, y: number) -> (ret: number) [in Lua]

ih: identifier of the element that activated the event.
x, y: cursor position relative to the top-left corner of the element

### Affects

All controls that have visual representation, except menus.